package cn.superdesk.uniorder.dao.mapper._statistics;

import java.util.List;

import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableDayDataEntity;
import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableDayDataEntityExample;
import org.apache.ibatis.annotations.Param;

public interface StPayableDayDataEntityMapper {
    long countByExample(StPayableDayDataEntityExample example);

    int deleteByExample(StPayableDayDataEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StPayableDayDataEntity record);

    int insertSelective(StPayableDayDataEntity record);

    List<StPayableDayDataEntity> selectByExample(StPayableDayDataEntityExample example);

    StPayableDayDataEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StPayableDayDataEntity record, @Param("example") StPayableDayDataEntityExample example);

    int updateByExample(@Param("record") StPayableDayDataEntity record, @Param("example") StPayableDayDataEntityExample example);

    int updateByPrimaryKeySelective(StPayableDayDataEntity record);

    int updateByPrimaryKey(StPayableDayDataEntity record);
}